aboutsummaryrefslogtreecommitdiff
path: root/ruby/default_environment_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ruby/default_environment_TEST_setup.sh')
-rwxr-xr-xruby/default_environment_TEST_setup.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/ruby/default_environment_TEST_setup.sh b/ruby/default_environment_TEST_setup.sh
new file mode 100755
index 000000000..40201bf84
--- /dev/null
+++ b/ruby/default_environment_TEST_setup.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir default_environment_TEST_dir || exit 1
+cd default_environment_TEST_dir || exit 1
+
+mkdir -p home/.paludis/repositories
+
+cat <<END > home/.paludis/repositories/nothing.conf
+format = nothing
+location = /var/empty
+name = nothing
+END
+
+cat <<END > home/.paludis/keywords.conf
+* test
+END
+
+cat <<END > home/.paludis/use.conf
+* enabled
+END
+
+cat <<END > home/.paludis/licenses.conf
+* *
+END
+